<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2016 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<!-- This file contains configurations used to prepare a testing device for running the
     test in AfwTestQRCodeProvisioningTestCases.apk.
-->
<configuration description="Test configurations for AfwTestQRCodeProvisioningTestCases">

    <include name="afw-test-factory-reset"/>

    <!-- General device setup. -->
    <include name="afw-test-common"/>

    <!-- Connect wifi -->
    <include name="afw-test-wifi"/>

    <!-- Dump testing environment info to android-cts/repository/logs/ -->
    <target_preparer class="com.android.afwtest.tradefed.targetprep.AfwTestEnvDumper" >
        <option name="file-name-prefix" value="AfwTestQRCodeProvisioningTestCases"/>
    </target_preparer>

    <target_preparer class="com.android.compatibility.common.tradefed.targetprep.ApkInstaller">
        <option name="cleanup-apks" value="true"/>
        <option name="test-file-name" value="AfwTestQRCodeProvisioningTestCases.apk"/>
    </target_preparer>

    <test class="com.android.afwtest.tradefed.testtype.AfwAndroidJUnitTest">
        <option name="package" value="com.android.afwtest.qrcodeprovisioning"/>
    </test>
</configuration>
